Support » Plugin: User Submitted Posts » Getting warnings with update and more

  • Resolved tse11

    (@tse11)


    I just updated and some of my pages aren’t working properly now. I looked and all I have found is this warning:

    PHP Warning: htmlspecialchars_decode() expects parameter 1 to be string, array given in /home/mysite/public_html/wp-content/plugins/user-submitted-posts/library/core-functions.php on line 220

    Some pages that require js to load content are no longer working, but they work when I deactivate the plugin.

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author Jeff Starr

    (@specialk)

    Glad to help with this. The new version of the plugin includes some new options, which you should configure:

    – Under “Form Fields”, select an option for the “Custom Field” setting
    – Under “Custom Field”, specify values for both settings
    – Under “Auto-Display Content”, select options for “Custom Field Auto-Display” and “Custom Field Markup”

    Then save your changes and the PHP Warning that you are seeing will be resolved.

    Let me know if any questions, or if I can help further.

    Plugin Author Jeff Starr

    (@specialk)

    FYI: Alternately you may be able to just click “Save Settings” as a shortcut to updating the settings. It should work, but actually updating the settings as in the previous post is recommended.

    Thread Starter tse11

    (@tse11)

    Thank you, it works great now!

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Getting warnings with update and more’ is closed to new replies.